package com.prolog.cs.biz.outbound.model.dto.check;

import com.prolog.cs.biz.outbound.model.vo.check.InnerCheckTaskDVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@ApiModel("复核确认")
public class ContainerCheckConfirmDTO implements Serializable {
    private static final long serialVersionUID = 9085375925115170001L;
    @ApiModelProperty(value = "拣货任务明细id")
    private String pickTaskId;

    @ApiModelProperty(value = "容器code",required = true)
    private String containerCode;

    @ApiModelProperty(value = "复核台编号", required = true)
    private String stationCode;

    @ApiModelProperty(value = "拣选任务明细")
    private List<InnerCheckTaskDVO> innerCheckTaskDVOS;

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getPickTaskId() {
        return pickTaskId;
    }

    public void setPickTaskId(String pickTaskId) {
        this.pickTaskId = pickTaskId;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public List<InnerCheckTaskDVO> getInnerCheckTaskDVOS() {
        return innerCheckTaskDVOS;
    }

    public void setInnerCheckTaskDVOS(List<InnerCheckTaskDVO> innerCheckTaskDVOS) {
        this.innerCheckTaskDVOS = innerCheckTaskDVOS;
    }
}
